Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        A script to handle icon names in desktop icon themes
Name:      	icon-naming-utils
Version:   	0.8.6
Release:   	1
License: 	GNU/GPL
Group:     	Graphical Desktop/Other
BuildArch:	noarch
URL:            http://tango-project.org/Standard_Icon_Naming_Specification
Source0:        icon-naming-utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-XML-Simple
BuildRequires:  automake
Requires:       perl-XML-Simple

Patch0:		icon-naming-utils-0.6.7-paths.patch

%description
A script for creating a symlink mapping for deprecated icon names to
the new Icon Naming Specification names, for desktop icon themes.

%prep
%setup -q
%patch0 -p1 -b .paths


%build
# the paths patch patches Makefile.am
automake
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/icon-name-mapping
%{_datadir}/icon-naming-utils
%{_datadir}/pkgconfig/icon-naming-utils.pc

%changelog
* Fri Nov 30 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6-1
- Version update
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.1-1
- Version update, moved arch
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.7.1-1
- Initial Release
